## org.eclipse.xsd
Interface XSDComplexTypeDefinition

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDNamedComponent, XSDRedefinableComponent, XSDRedefineContent, XSDSchemaContent, XSDScope, XSDTypeDefinition

All Known Implementing Classes:
  XSDComplexTypeDefinitionImpl

    public interface XSDComplexTypeDefinition

extends XSDTypeDefinition, XSDScope

A representation of the model object 'Complex Type Definition'.

The following features are supported:

- `Derivation Method`
- `Final`
- `Abstract`
- `Content Type Category`
- `Prohibited Substitutions`
- `Lexical Final`
- `Block`
- `Mixed`
- `Content Annotation`
- `Base Type Definition`
- `Content`
- `Content Type`
- `Attribute Uses`
- `Attribute Contents`
- `Attribute Wildcard`
- `Attribute Wildcard Content`
- `Root Type Definition`
- `Synthetic Particle`
- `Synthetic Wildcard`

See Also:
  `XSDPackage.getXSDComplexTypeDefinition()`

Method Summary
`EList<XSDAttributeGroupContent>` `getAttributeContents()` Returns the value of the 'Attribute Contents' containment reference list.
`EList<XSDAttributeUse>` `getAttributeUses()` Returns the value of the 'Attribute Uses' reference list.
`XSDWildcard` `getAttributeWildcard()` Returns the value of the 'Attribute Wildcard' reference
`XSDWildcard` `getAttributeWildcardContent()` Returns the value of the 'Attribute Wildcard Content' containment reference
`XSDTypeDefinition` `getBaseTypeDefinition()` Returns the value of the 'Base Type Definition' reference
`EList<XSDProhibitedSubstitutions>` `getBlock()` Returns the value of the 'Block' attribute list.
`XSDComplexTypeContent` `getContent()` Returns the value of the 'Content' containment reference
`XSDAnnotation` `getContentAnnotation()` Returns the value of the 'Content Annotation' containment reference
`XSDComplexTypeContent` `getContentType()` Returns the value of the 'Content Type' reference
`XSDContentTypeCategory` `getContentTypeCategory()` Returns the value of the 'Content Type Category' attribute.
`XSDDerivationMethod` `getDerivationMethod()` Returns the value of the 'Derivation Method' attribute.
`EList<XSDComplexFinal>` `getFinal()` Returns the value of the 'Final' attribute list.
`EList<XSDComplexFinal>` `getLexicalFinal()` Returns the value of the 'Lexical Final' attribute list.
`EList<XSDProhibitedSubstitutions>` `getProhibitedSubstitutions()` Returns the value of the 'Prohibited Substitutions' attribute list.
`XSDTypeDefinition` `getRootTypeDefinition()` Returns the value of the 'Root Type Definition' reference
`java.lang.String` `getStringBlock()` Returns the String value of the '`Block`' attribute list
`java.lang.String` `getStringFinal()` Returns the String value of the '`Final`' attribute list
`java.lang.String` `getStringLexicalFinal()` Returns the String value of the '`Lexical Final`' attribute list
`java.lang.String` `getStringProhibitedSubstitutions()` Returns the String value of the '`Prohibited Substitutions`' attribute list
`XSDParticle` `getSyntheticParticle()` Returns the value of the 'Synthetic Particle' containment reference
`XSDWildcard` `getSyntheticWildcard()` Returns the value of the 'Synthetic Wildcard' containment reference
`boolean` `isAbstract()` Returns the value of the 'Abstract' attribute
`boolean` `isMixed()` Returns the value of the 'Mixed' attribute
`boolean` `isSetAbstract()` Returns whether the value of the '`Abstract`' attribute is set
`boolean` `isSetBlock()` Returns whether the value of the '`Block`' attribute list is set
`boolean` `isSetDerivationMethod()` Returns whether the value of the '`Derivation Method`' attribute is set
`boolean` `isSetLexicalFinal()` Returns whether the value of the '`Lexical Final`' attribute list is set
`boolean` `isSetMixed()` Returns whether the value of the '`Mixed`' attribute is set
`void` `setAbstract(boolean value)` Sets the value of the '`Abstract`' attribute
`void` `setAttributeWildcard(XSDWildcard value)` Sets the value of the '`Attribute Wildcard`' reference
`void` `setAttributeWildcardContent(XSDWildcard value)` Sets the value of the '`Attribute Wildcard Content`' containment reference
`void` `setBaseTypeDefinition(XSDTypeDefinition value)` Sets the value of the '`Base Type Definition`' reference
`void` `setContent(XSDComplexTypeContent value)` Sets the value of the '`Content`' containment reference
`void` `setContentAnnotation(XSDAnnotation value)` Sets the value of the '`Content Annotation`' containment reference
`void` `setContentType(XSDComplexTypeContent value)` Sets the value of the '`Content Type`' reference
`void` `setContentTypeCategory(XSDContentTypeCategory value)` Sets the value of the '`Content Type Category`' attribute
`void` `setDerivationMethod(XSDDerivationMethod value)` Sets the value of the '`Derivation Method`' attribute
`void` `setMixed(boolean value)` Sets the value of the '`Mixed`' attribute
`void` `setStringBlock(java.lang.String block)` Sets the String value of the '`Block`' attribute
`void` `setStringLexicalFinal(java.lang.String lexicalFinal)` Sets the String value of the '`Lexical Final`' attribute
`void` `setSyntheticParticle(XSDParticle value)` Sets the value of the '`Synthetic Particle`' containment reference
`void` `setSyntheticWildcard(XSDWildcard value)` Sets the value of the '`Synthetic Wildcard`' containment reference
`void` `unsetAbstract()` Unsets the value of the '`Abstract`' attribute
`void` `unsetBlock()` Unsets the value of the '`Block`' attribute list
`void` `unsetDerivationMethod()` Unsets the value of the '`Derivation Method`' attribute
`void` `unsetLexicalFinal()` Unsets the value of the '`Lexical Final`' attribute list
`void` `unsetMixed()` Unsets the value of the '`Mixed`' attribute

Methods inherited from interface org.eclipse.xsd.XSDTypeDefinition
`getAnnotation, getAnnotations, getBadTypeDerivation, getBaseType, getComplexType, getDerivationAnnotation, getRootType, getSimpleType, setAnnotation, setDerivationAnnotation`

Methods inherited from interface org.eclipse.xsd.XSDRedefinableComponent
`isCircular`

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDerivationMethod

    XSDDerivationMethod getDerivationMethod()

  Returns the value of the 'Derivation Method' attribute. The default value is `"restriction"`. The literals are from the enumeration `XSDDerivationMethod`.

  This represents the derivation method infoset property.

  Returns:
    the value of the 'Derivation Method' attribute.
  See Also:
    `XSDDerivationMethod`, `isSetDerivationMethod()`, `unsetDerivationMethod()`, `setDerivationMethod(XSDDerivationMethod)`, `XSDPackage.getXSDComplexTypeDefinition_DerivationMethod()`

### setDerivationMethod

    void setDerivationMethod(XSDDerivationMethod value)

  Sets the value of the '`Derivation Method`' attribute.

  Parameters:
    `value` - the new value of the 'Derivation Method' attribute.
  See Also:
    `XSDDerivationMethod`, `isSetDerivationMethod()`, `unsetDerivationMethod()`, `getDerivationMethod()`

### unsetDerivationMethod

    void unsetDerivationMethod()

  Unsets the value of the '`Derivation Method`' attribute.

  See Also:
    `isSetDerivationMethod()`, `getDerivationMethod()`, `setDerivationMethod(XSDDerivationMethod)`

### isSetDerivationMethod

    boolean isSetDerivationMethod()

  Returns whether the value of the '`Derivation Method`' attribute is set.

  Returns:
    whether the value of the 'Derivation Method' attribute is set.
  See Also:
    `unsetDerivationMethod()`, `getDerivationMethod()`, `setDerivationMethod(XSDDerivationMethod)`

### getFinal

    EList<XSDComplexFinal> getFinal()

  Returns the value of the 'Final' attribute list. The list contents are of type `XSDComplexFinal`. The literals are from the enumeration `XSDComplexFinal`.

  This represents the final infoset property. It is computed from the `lexical final` and should typically not be modified directly.

  Returns:
    the value of the 'Final' attribute list.
  See Also:
    `getStringFinal()`, `XSDComplexFinal`, `XSDPackage.getXSDComplexTypeDefinition_Final()`

### getStringFinal

    java.lang.String getStringFinal()

  Returns the String value of the '`Final`' attribute list.

  Returns:
    the String value of the 'Final' attribute list.
  See Also:
    `getFinal()`

### isAbstract

    boolean isAbstract()

  Returns the value of the 'Abstract' attribute.

  This represents the abstract infoset property.

  Returns:
    the value of the 'Abstract' attribute.
  See Also:
    `isSetAbstract()`, `unsetAbstract()`, `setAbstract(boolean)`, `XSDPackage.getXSDComplexTypeDefinition_Abstract()`

### setAbstract

    void setAbstract(boolean value)

  Sets the value of the '`Abstract`' attribute.

  Parameters:
    `value` - the new value of the 'Abstract' attribute.
  See Also:
    `isSetAbstract()`, `unsetAbstract()`, `isAbstract()`

### unsetAbstract

    void unsetAbstract()

  Unsets the value of the '`Abstract`' attribute.

  See Also:
    `isSetAbstract()`, `isAbstract()`, `setAbstract(boolean)`

### isSetAbstract

    boolean isSetAbstract()

  Returns whether the value of the '`Abstract`' attribute is set.

  Returns:
    whether the value of the 'Abstract' attribute is set.
  See Also:
    `unsetAbstract()`, `isAbstract()`, `setAbstract(boolean)`

### getContentTypeCategory

    XSDContentTypeCategory getContentTypeCategory()

  Returns the value of the 'Content Type Category' attribute. The literals are from the enumeration `XSDContentTypeCategory`.

  This represents the category of the content type infoset property. It is computed from the type of the `content` and from the setting of `mixed` and should typically not be modified directly.

  Returns:
    the value of the 'Content Type Category' attribute.
  See Also:
    `XSDContentTypeCategory`, `setContentTypeCategory(XSDContentTypeCategory)`, `XSDPackage.getXSDComplexTypeDefinition_ContentTypeCategory()`

### setContentTypeCategory

    void setContentTypeCategory(XSDContentTypeCategory value)

  Sets the value of the '`Content Type Category`' attribute.

  Parameters:
    `value` - the new value of the 'Content Type Category' attribute.
  See Also:
    `XSDContentTypeCategory`, `getContentTypeCategory()`

### getProhibitedSubstitutions

    EList<XSDProhibitedSubstitutions> getProhibitedSubstitutions()

  Returns the value of the 'Prohibited Substitutions' attribute list. The list contents are of type `XSDProhibitedSubstitutions`. The literals are from the enumeration `XSDProhibitedSubstitutions`.

  This represents the prohibited substitutions infoset property. It is computed from the `block` and should typically not be modified directly.

  Returns:
    the value of the 'Prohibited Substitutions' attribute list.
  See Also:
    `getStringProhibitedSubstitutions()`, `XSDProhibitedSubstitutions`, `XSDPackage.getXSDComplexTypeDefinition_ProhibitedSubstitutions()`

### getStringProhibitedSubstitutions

    java.lang.String getStringProhibitedSubstitutions()

  Returns the String value of the '`Prohibited Substitutions`' attribute list.

  Returns:
    the String value of the 'Prohibited Substitutions' attribute list.
  See Also:
    `getProhibitedSubstitutions()`

### getLexicalFinal

    EList<XSDComplexFinal> getLexicalFinal()

  Returns the value of the 'Lexical Final' attribute list. The list contents are of type `XSDComplexFinal`. The literals are from the enumeration `XSDComplexFinal`.

  This concrete attribute represents the value of the final attribute.

  Returns:
    the value of the 'Lexical Final' attribute list.
  See Also:
    `getStringLexicalFinal()`, `setStringLexicalFinal(java.lang.String)`, `XSDComplexFinal`, `isSetLexicalFinal()`, `unsetLexicalFinal()`, `XSDPackage.getXSDComplexTypeDefinition_LexicalFinal()`

### unsetLexicalFinal

    void unsetLexicalFinal()

  Unsets the value of the '`Lexical Final`' attribute list.

  See Also:
    `isSetLexicalFinal()`, `getLexicalFinal()`

### isSetLexicalFinal

    boolean isSetLexicalFinal()

  Returns whether the value of the '`Lexical Final`' attribute list is set.

  Returns:
    whether the value of the 'Lexical Final' attribute list is set.
  See Also:
    `unsetLexicalFinal()`, `getLexicalFinal()`

### getStringLexicalFinal

    java.lang.String getStringLexicalFinal()

  Returns the String value of the '`Lexical Final`' attribute list.

  Returns:
    the String value of the 'Lexical Final' attribute list.
  See Also:
    `getLexicalFinal()`, `setStringLexicalFinal(java.lang.String)`

### setStringLexicalFinal

    void setStringLexicalFinal(java.lang.String lexicalFinal)

  Sets the String value of the '`Lexical Final`' attribute.

  Parameters:
    `lexicalFinal` - the new value of the 'Lexical Final' attribute.
  See Also:
    `getLexicalFinal()`, `getStringLexicalFinal()`

### getBlock

    EList<XSDProhibitedSubstitutions> getBlock()

  Returns the value of the 'Block' attribute list. The list contents are of type `XSDProhibitedSubstitutions`. The literals are from the enumeration `XSDProhibitedSubstitutions`.

  This concrete attribute represents the value of the block attribute.

  Returns:
    the value of the 'Block' attribute list.
  See Also:
    `getStringBlock()`, `setStringBlock(java.lang.String)`, `XSDProhibitedSubstitutions`, `isSetBlock()`, `unsetBlock()`, `XSDPackage.getXSDComplexTypeDefinition_Block()`

### unsetBlock

    void unsetBlock()

  Unsets the value of the '`Block`' attribute list.

  See Also:
    `isSetBlock()`, `getBlock()`

### isSetBlock

    boolean isSetBlock()

  Returns whether the value of the '`Block`' attribute list is set.

  Returns:
    whether the value of the 'Block' attribute list is set.
  See Also:
    `unsetBlock()`, `getBlock()`

### getStringBlock

    java.lang.String getStringBlock()

  Returns the String value of the '`Block`' attribute list.

  Returns:
    the String value of the 'Block' attribute list.
  See Also:
    `getBlock()`, `setStringBlock(java.lang.String)`

### setStringBlock

    void setStringBlock(java.lang.String block)

  Sets the String value of the '`Block`' attribute.

  Parameters:
    `block` - the new value of the 'Block' attribute.
  See Also:
    `getBlock()`, `getStringBlock()`

### isMixed

    boolean isMixed()

  Returns the value of the 'Mixed' attribute.

  This concrete attribute represents the value of the mixed attribute.

  Returns:
    the value of the 'Mixed' attribute.
  See Also:
    `isSetMixed()`, `unsetMixed()`, `setMixed(boolean)`, `XSDPackage.getXSDComplexTypeDefinition_Mixed()`

### setMixed

    void setMixed(boolean value)

  Sets the value of the '`Mixed`' attribute.

  Parameters:
    `value` - the new value of the 'Mixed' attribute.
  See Also:
    `isSetMixed()`, `unsetMixed()`, `isMixed()`

### unsetMixed

    void unsetMixed()

  Unsets the value of the '`Mixed`' attribute.

  See Also:
    `isSetMixed()`, `isMixed()`, `setMixed(boolean)`

### isSetMixed

    boolean isSetMixed()

  Returns whether the value of the '`Mixed`' attribute is set.

  Returns:
    whether the value of the 'Mixed' attribute is set.
  See Also:
    `unsetMixed()`, `isMixed()`, `setMixed(boolean)`

### getContentAnnotation

    XSDAnnotation getContentAnnotation()

  Returns the value of the 'Content Annotation' containment reference.

  This concrete reference represents the annotation content of a complexContent element or a simpleContent element.

  Returns:
    the value of the 'Content Annotation' containment reference.
  See Also:
    `setContentAnnotation(XSDAnnotation)`, `XSDPackage.getXSDComplexTypeDefinition_ContentAnnotation()`

### setContentAnnotation

    void setContentAnnotation(XSDAnnotation value)

  Sets the value of the '`Content Annotation`' containment reference.

  Parameters:
    `value` - the new value of the 'Content Annotation' containment reference.
  See Also:
    `getContentAnnotation()`

### getBaseTypeDefinition

    XSDTypeDefinition getBaseTypeDefinition()

  Returns the value of the 'Base Type Definition' reference.

  This represents the base type definition infoset property.

  Returns:
    the value of the 'Base Type Definition' reference.
  See Also:
    `setBaseTypeDefinition(XSDTypeDefinition)`, `XSDPackage.getXSDComplexTypeDefinition_BaseTypeDefinition()`

### setBaseTypeDefinition

    void setBaseTypeDefinition(XSDTypeDefinition value)

  Sets the value of the '`Base Type Definition`' reference.

  Parameters:
    `value` - the new value of the 'Base Type Definition' reference.
  See Also:
    `getBaseTypeDefinition()`

### getContent

    XSDComplexTypeContent getContent()

  Returns the value of the 'Content' containment reference.

  This concrete reference represents the simple type content or particle content of a complexType element. It will be `null`, an `XSDSimpleTypeDefinition`, or an `XSDParticle`.

  Returns:
    the value of the 'Content' containment reference.
  See Also:
    `setContent(XSDComplexTypeContent)`, `XSDPackage.getXSDComplexTypeDefinition_Content()`

### setContent

    void setContent(XSDComplexTypeContent value)

  Sets the value of the '`Content`' containment reference.

  Parameters:
    `value` - the new value of the 'Content' containment reference.
  See Also:
    `getContent()`

### getContentType

    XSDComplexTypeContent getContentType()

  Returns the value of the 'Content Type' reference.

  This represents the value of the content type infoset property. It is computed from the `content` and should typically not be modified directly. It will be `null`, an `XSDSimpleTypeDefinition`, or an `XSDParticle`.

  Returns:
    the value of the 'Content Type' reference.
  See Also:
    `setContentType(XSDComplexTypeContent)`, `XSDPackage.getXSDComplexTypeDefinition_ContentType()`

### setContentType

    void setContentType(XSDComplexTypeContent value)

  Sets the value of the '`Content Type`' reference.

  Parameters:
    `value` - the new value of the 'Content Type' reference.
  See Also:
    `getContentType()`

### getAttributeUses

    EList<XSDAttributeUse> getAttributeUses()

  Returns the value of the 'Attribute Uses' reference list. The list contents are of type `XSDAttributeUse`.

  This represents the attribute uses infoset property. It is computed from the `attribute contents` and should typically not be set directly.

  Returns:
    the value of the 'Attribute Uses' reference list.
  See Also:
    `XSDPackage.getXSDComplexTypeDefinition_AttributeUses()`

### getAttributeContents

    EList<XSDAttributeGroupContent> getAttributeContents()

  Returns the value of the 'Attribute Contents' containment reference list. The list contents are of type `XSDAttributeGroupContent`.

  This concrete reference represents the attribute contents defined within the body of a complexType element.

  Returns:
    the value of the 'Attribute Contents' containment reference list.
  See Also:
    `XSDPackage.getXSDComplexTypeDefinition_AttributeContents()`

### getAttributeWildcard

    XSDWildcard getAttributeWildcard()

  Returns the value of the 'Attribute Wildcard' reference.

  This represents the attribute wildcard infoset property. It is computed from the `attribute wildcard content` and should typically not be set directly.

  Returns:
    the value of the 'Attribute Wildcard' reference.
  See Also:
    `setAttributeWildcard(XSDWildcard)`, `XSDPackage.getXSDComplexTypeDefinition_AttributeWildcard()`

### setAttributeWildcard

    void setAttributeWildcard(XSDWildcard value)

  Sets the value of the '`Attribute Wildcard`' reference.

  Parameters:
    `value` - the new value of the 'Attribute Wildcard' reference.
  See Also:
    `getAttributeWildcard()`

### getAttributeWildcardContent

    XSDWildcard getAttributeWildcardContent()

  Returns the value of the 'Attribute Wildcard Content' containment reference.

  This concrete reference represents the attribute wildcard defined within the body of an complexType element.

  Returns:
    the value of the 'Attribute Wildcard Content' containment reference.
  See Also:
    `setAttributeWildcardContent(XSDWildcard)`, `XSDPackage.getXSDComplexTypeDefinition_AttributeWildcardContent()`

### setAttributeWildcardContent

    void setAttributeWildcardContent(XSDWildcard value)

  Sets the value of the '`Attribute Wildcard Content`' containment reference.

  Parameters:
    `value` - the new value of the 'Attribute Wildcard Content' containment reference.
  See Also:
    `getAttributeWildcardContent()`

### getRootTypeDefinition

    XSDTypeDefinition getRootTypeDefinition()

  Returns the value of the 'Root Type Definition' reference.

  This walks the `base type definitions` until it hits that one that has the ur-type definition as it's base type definition.

  Returns:
    the value of the 'Root Type Definition' reference.
  See Also:
    `XSDPackage.getXSDComplexTypeDefinition_RootTypeDefinition()`

### getSyntheticParticle

    XSDParticle getSyntheticParticle()

  Returns the value of the 'Synthetic Particle' containment reference.

  This represents the value of the content type infoset property, if the rules require a synthesized particle, i.e., if the complex type is a non-empty extension of a non-empty complex base.

  Returns:
    the value of the 'Synthetic Particle' containment reference.
  See Also:
    `setSyntheticParticle(XSDParticle)`, `XSDPackage.getXSDComplexTypeDefinition_SyntheticParticle()`

### setSyntheticParticle

    void setSyntheticParticle(XSDParticle value)

  Sets the value of the '`Synthetic Particle`' containment reference.

  Parameters:
    `value` - the new value of the 'Synthetic Particle' containment reference.
  See Also:
    `getSyntheticParticle()`

### getSyntheticWildcard

    XSDWildcard getSyntheticWildcard()

  Returns the value of the 'Synthetic Wildcard' containment reference.

  This represents the attribute wildcard infoset property, if the rules require a synthesized wildcard.

  Returns:
    the value of the 'Synthetic Wildcard' containment reference.
  See Also:
    `setSyntheticWildcard(XSDWildcard)`, `XSDPackage.getXSDComplexTypeDefinition_SyntheticWildcard()`

### setSyntheticWildcard

    void setSyntheticWildcard(XSDWildcard value)

  Sets the value of the '`Synthetic Wildcard`' containment reference.

  Parameters:
    `value` - the new value of the 'Synthetic Wildcard' containment reference.
  See Also:
    `getSyntheticWildcard()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.